#
# Copyright 2012-2015 National ICT Australia (NICTA)
#
# This software may be used and distributed solely under the terms of
# the MIT license (License).  You should find a copy of the License in
# COPYING or at http://opensource.org/licenses/MIT. By downloading or
# using this software you accept the terms and the liability disclaimer
# in the License.
#
defApplication('oml:app:wpamon', 'wpamon') do |app|

  app.version(2, 12, 0)
  app.shortDescription = 'wpa_supplicant monitor'
  app.description = %{This application connects to wpa_supplicant's control
socket and reports Wi-Fi events.
  }
  app.path = "/usr/bin/wpamon-oml2"

  app.defProperty('interface', 'Wireless interface to monitor', '-i',
		  :type => :string, :mnemonic => 'i', :default => '"wlan0"')
  app.defProperty('ctrl_interface', "Path to wpa_supplicant's ctrl_interface socket", '-C',
		  :type => :string, :mnemonic => 'C')
  app.defProperty('socket', 'Path to local socket', '-S',
		  :type => :string, :mnemonic => 'S', :var_name => 'local_path')

  app.defMeasurement("network_event") do |m|
    m.defMetric('event', :string,
		:description => "Event type")
    m.defMetric('bssid', :string,
	       :description => "BSSID of the remote station")
    m.defMetric('full_status', :string,
	       :description => "Full event string")
    m.defMetric('tv_sec', :uint32, :unit => "second",
	       :description => "Time of event")
    m.defMetric('tv_usec', :uint32, :unit => "microsecond",
	       :description => "Time of event")
  end
end

# Local Variables:
# mode:ruby
# End:
# vim: ft=ruby:sw=2
